--- VHDL generated by LogSynth framework (c) Petr Fiser
Library IEEE;
use IEEE.std_logic_1164.all;

entity DFF is
  Port ( D, CLK: in std_logic;
     Q: out std_logic);
end DFF;

architecture Behavior of DFF is
begin
  process(CLK)
  begin
    if CLK'event and CLK = '1' then
      Q <= D;
    end if;
  end process;
end Behavior;

Library IEEE;
use IEEE.std_logic_1164.all;

entity Cookbook__four_lane_jtag_probe is 
  Port (
    , CLK: in std_logic;
    : inout std_logic
  );
end Cookbook__four_lane_jtag_probe;

architecture Cookbook__four_lane_jtag_probe_behav of Cookbook__four_lane_jtag_probe is
component DFF
  Port ( D, CLK: in std_logic;
     Q: out std_logic);
end component;

signal lo0,lo1,lo2,lo3,lo4,lo5,lo6,lo7,lo8,lo9,n30,n31,n32,n33,n34,n35,n36,li2,li3,li4,li5,li6,n42,n43,n44,li0,n46,n47,n48,n49,li1,n51,n52,li9,n54,li7,n56,n57,li8: std_logic;
begin
    DFF0: DFF port map (li0, CLK, lo0);
    DFF1: DFF port map (li1, CLK, lo1);
    DFF2: DFF port map (li2, CLK, lo2);
    DFF3: DFF port map (li3, CLK, lo3);
    DFF4: DFF port map (li4, CLK, lo4);
    DFF5: DFF port map (li5, CLK, lo5);
    DFF6: DFF port map (li6, CLK, lo6);
    DFF7: DFF port map (li7, CLK, lo7);
    DFF8: DFF port map (li8, CLK, lo8);
    DFF9: DFF port map (li9, CLK, lo9);
    n30 <= ( not lo2 and lo3 )
      or ( lo2 and not lo3 );
    n31 <= ( lo2 and lo3 );
    n32 <= ( not n31 and lo4 )
      or ( n31 and not lo4 );
    n33 <= ( n31 and lo4 );
    n34 <= ( not n33 and lo5 )
      or ( n33 and not lo5 );
    n35 <= ( n33 and lo5 );
    n36 <= ( not n35 and lo6 )
      or ( n35 and not lo6 );
    li2 <= ( not lo2 and not lo1 );
    li3 <= ( n30 and not lo1 );
    li4 <= ( n32 and not lo1 );
    li5 <= ( n34 and not lo1 );
    li6 <= ( n36 and not lo1 );
    n42 <= ( lo2 and lo3 );
    n43 <= ( lo5 and lo6 );
    n44 <= ( lo4 and n43 );
    li0 <= ( n42 and n44 );
    n46 <= not (( not lo7 and not lo0 ));
    n47 <= ( lo8 and not lo0 );
    n48 <= ( lo1 and lo7 );
    n49 <= not (( not lo1 and lo7 ));
    li1 <= ( n48 and not lo8 )
      or ( n49 and lo8 );
    n51 <= not (( not lo9 and not lo7 ));
    n52 <= ( lo9 and lo7 );
    li9 <= ( n51 and not lo8 )
      or ( n52 and lo8 );
    n54 <= not (( not n46 and not lo7 ));
    li7 <= ( n54 and not lo8 )
      or ( lo7 and lo8 );
    n56 <= ( n47 and not lo7 )
      or ( lo8 and lo7 );
    n57 <= ( lo8 and lo7 );
    li8 <= ( n56 and not lo8 )
      or ( n57 and lo8 );
end Cookbook__four_lane_jtag_probe_behav;
